Bug 456482 - submit -spool and transfer_executable = false
submit -spool and transfer_executable = false
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: condor (Show other bugs)
1.0
All Linux
low Severity low
: 1.3
: ---
Assigned To: Matthew Farrellee
Tomas Rusnak
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-23 21:00 EDT by Matthew Farrellee
Modified: 2010-10-14 11:57 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Running the "condor_submit -spool" command on a job that has the "transfer_executable" variable set to 'false', the executable gets transferred to the spool directory. With this update, the executable is no longer transferred to the spool directory.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-14 11:57:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthew Farrellee 2008-07-23 21:00:25 EDT
Seems when you run condor_submit -spool on a job that has transfer_executable =
false the executable gets transferred, at least to the spool directory. This
seems like a bug to me.
Comment 2 Matthew Farrellee 2010-01-16 09:18:42 EST
As of at least 7.4.2-0.3

$ echo "cmd=/bin/sleep\nargs=1m\ntransfer_executable=false\nqueue 1" | condor_submit
Submitting job(s).
1 job(s) submitted to cluster 1.

$ echo "cmd=/bin/sleep\nargs=1m\ntransfer_executable=false\nqueue 1" | condor_submit -spool
Submitting job(s).
1 job(s) submitted to cluster 2.

$ echo "cmd=/bin/sleep\nargs=1m\ntransfer_executable=true\nshould_transfer_files=yes\nwhen_to_transfer_output=on_exit_or_evict\nqueue 1" | condor_submit -spool
Submitting job(s).
1 job(s) submitted to cluster 4.

$ echo "cmd=/bin/sleep\nargs=1m\ntransfer_executable=false\nshould_transfer_files=yes\nwhen_to_transfer_output=on_exit_or_evict\nqueue 1" | condor_submit -spool
Submitting job(s).
1 job(s) submitted to cluster 5.

$ echo "cmd=/bin/sleep\nargs=1m\ntransfer_executable=false\nshould_transfer_files=yes\nwhen_to_transfer_output=on_exit_or_evict\nqueue 1" | condor_submit -remote robin
Submitting job(s).
1 job(s) submitted to cluster 6.

$ echo "cmd=/bin/sleep\nargs=1m\ntransfer_executable=true\nshould_transfer_files=yes\nwhen_to_transfer_output=on_exit_or_evict\nqueue 1" | condor_submit -remote robin
Submitting job(s).
1 job(s) submitted to cluster 7.

$ l spool/cluster*
spool/cluster2.proc0.subproc0:
total 0

spool/cluster2.proc0.subproc0.tmp:
total 0

spool/cluster4.proc0.subproc0:
total 32K
32K -rwxr-xr-x. 1 matt matt 26K 2010-01-16 09:11 sleep*

spool/cluster4.proc0.subproc0.tmp:
total 0

spool/cluster5.proc0.subproc0:
total 0

spool/cluster5.proc0.subproc0.tmp:
total 0

spool/cluster6.proc0.subproc0:
total 0

spool/cluster6.proc0.subproc0.tmp:
total 0

spool/cluster7.proc0.subproc0:
total 32K
32K -rwxr-xr-x. 1 matt matt 26K 2010-01-16 09:14 sleep*

spool/cluster7.proc0.subproc0.tmp:
total 0

This is good, only when transfer_executable=true does the executable get copied to the spool.
Comment 3 Tomas Rusnak 2010-03-16 08:27:57 EDT
Testing on current stable release:

$CondorVersion: 7.4.1 Dec 11 2009 BuildID: RH-7.4.1-0.7.1.el5 PRE-RELEASE $
$CondorPlatform: I386-LINUX_RHEL5 $

Submitted 2 jobs:

[test@dell-pesc1425-01 ~]$ echo -e "cmd=/bin/sleep\nargs=1m\ntransfer_executable=false\nqueue 1" | condor_submit
Submitting job(s).
1 job(s) submitted to cluster 10.
--------
[test@dell-pesc1425-01 ~]$ echo -e "cmd=/bin/sleep\nargs=1m\ntransfer_executable=true\nshould_transfer_files=yes\nwhen_to_transfer_output=on_exit_or_evict\nqueue 1" | condor_submit -spool
Submitting job(s).
1 job(s) submitted to cluster 11.

Results:

[root@dell-pesc1425-01 spool]# condor_q -run
-- Submitter: dell-pesc1425-01.rhts.eng.bos.redhat.com : <10.16.64.52:38474> : dell-pesc1425-01.rhts.eng.bos.redhat.com
 ID      OWNER            SUBMITTED     RUN_TIME HOST(S)         
  10.0   test            3/16 07:03   0+00:00:02 slot1@dell-pesc1425-01.rhts.eng.bos.redhat.com
  11.0   test            3/16 07:04   0+00:00:02 slot2@dell-pesc1425-01.rhts.eng.bos.redhat.com
--------
[root@dell-pesc1425-01 spool]# ls -la cluster*
cluster11.proc0.subproc0:
total 40
drwxr-xr-x 2 test   test    4096 Mar 16 07:04 .
drwxr-xr-x 9 condor condor  4096 Mar 16 07:04 ..
-rwxr-xr-x 1 test   test   19564 Mar 16 07:01 sleep

cluster11.proc0.subproc0.tmp:
total 16
drwxr-xr-x 2 test   test   4096 Mar 16 07:04 .
drwxr-xr-x 9 condor condor 4096 Mar 16 07:04 ..

No such local copy of sleep found in spool when transfer_executable=false

Same commands on other archs:

$CondorVersion: 7.4.1 Dec 11 2009 BuildID: RH-7.4.1-0.7.1.el4 PRE-RELEASE $
$CondorPlatform: X86_64-LINUX_RHEL4 $

[root@dell-pe1855-02 spool]# ls -la cluster*
cluster2.proc0.subproc0:
total 44
drwxr-xr-x  2 condor condor  4096 Mar 16 07:09 .
drwxr-xr-x  5 condor condor  4096 Mar 16 07:09 ..
-rwxr-xr-x  1 condor condor 22040 Mar 16 07:06 sleep

cluster2.proc0.subproc0.tmp:
total 16
drwxr-xr-x  2 condor condor 4096 Mar 16 07:09 .
drwxr-xr-x  5 condor condor 4096 Mar 16 07:09 ..
[root@dell-pe1855-02 spool]#
--------
$CondorVersion: 7.4.1 Dec 11 2009 BuildID: RH-7.4.1-0.7.1.el5 PRE-RELEASE $
$CondorPlatform: X86_64-LINUX_RHEL5 $

[root@nec-em11 spool]# ls -la cluster* && condor_q -run
cluster2.proc0.subproc0:
total 44
drwxr-xr-x 2 test   test    4096 Mar 16 07:13 .
drwxr-xr-x 5 condor condor  4096 Mar 16 07:13 ..
-rwxr-xr-x 1 test   test   21984 Mar 16 07:10 sleep

cluster2.proc0.subproc0.tmp:
total 16
drwxr-xr-x 2 test   test   4096 Mar 16 07:13 .
drwxr-xr-x 5 condor condor 4096 Mar 16 07:13 ..
--------
$CondorVersion: 7.4.1 Dec 11 2009 BuildID: RH-7.4.1-0.7.1.el4 PRE-RELEASE $
$CondorPlatform: I386-LINUX_RHEL4 $

cluster2.proc0.subproc0:
total 40
drwxr-xr-x  2 test   users   4096 Mar 16 07:17 .
drwxr-xr-x  5 condor condor  4096 Mar 16 07:18 ..
-rwxr-xr-x  1 test   users  17340 Mar 16 07:14 sleep

cluster2.proc0.subproc0.tmp:
total 16
drwxr-xr-x  2 test   users  4096 Mar 16 07:17 .
drwxr-xr-x  5 condor condor 4096 Mar 16 07:18 ..
Comment 4 Tomas Rusnak 2010-03-17 12:53:49 EDT
Testing on candidate:

Command used:

echo -e "cmd=/bin/sleep\nargs=1m\ntransfer_executable=false\nqueue 1" | condor_submit && echo -e "cmd=/bin/sleep\nargs=1m\ntransfer_executable=true\nshould_transfer_files=yes\nwhen_to_transfer_output=on_exit_or_evict\nqueue 1" | condor_submit -spool

--------

$CondorVersion: 7.4.3 Mar 16 2010 BuildID: RH-7.4.3-0.5.el4 PRE-RELEASE $
$CondorPlatform: I386-LINUX_RHEL4 $

cluster6.proc0.subproc0:
total 40
drwxr-xr-x  2 test   users   4096 Mar 17 12:50 .
drwxr-xr-x  7 condor condor  4096 Mar 17 12:50 ..
-rwxr-xr-x  1 test   users  17340 Mar 17 12:47 sleep

cluster6.proc0.subproc0.tmp:
total 16
drwxr-xr-x  2 test   users  4096 Mar 17 12:50 .
drwxr-xr-x  7 condor condor 4096 Mar 17 12:50 ..
--------

$CondorVersion: 7.4.3 Mar 16 2010 BuildID: RH-7.4.3-0.5.el4 PRE-RELEASE $
$CondorPlatform: X86_64-LINUX_RHEL4 $

cluster7.proc0.subproc0:
total 44
drwxr-xr-x   2 condor condor  4096 Mar 17 12:28 .
drwxr-xr-x  11 condor condor  4096 Mar 17 12:28 ..
-rwxr-xr-x   1 condor condor 22040 Mar 17 12:25 sleep

cluster7.proc0.subproc0.tmp:
total 16
drwxr-xr-x   2 test   users  4096 Mar 17 12:28 .
drwxr-xr-x  11 condor condor 4096 Mar 17 12:28 ..

--------

$CondorVersion: 7.4.3 Mar 16 2010 BuildID: RH-7.4.3-0.5.el5 PRE-RELEASE $
$CondorPlatform: I386-LINUX_RHEL5 $

cluster13.proc0.subproc0:
total 40
drwxr-xr-x  2 test   test    4096 Mar 17 12:36 .
drwxr-xr-x 11 condor condor  4096 Mar 17 12:36 ..
-rwxr-xr-x  1 test   test   19564 Mar 17 12:33 sleep

cluster13.proc0.subproc0.tmp:
total 16
drwxr-xr-x  2 test   test   4096 Mar 17 12:36 .
drwxr-xr-x 11 condor condor 4096 Mar 17 12:36 ..

--------

$CondorVersion: 7.4.3 Mar 16 2010 BuildID: RH-7.4.3-0.5.el5 PRE-RELEASE $
$CondorPlatform: X86_64-LINUX_RHEL5 $

cluster13.proc0.subproc0:
total 44
drwxr-xr-x 2 test   test    4096 Mar 17 12:47 .
drwxr-xr-x 5 condor condor  4096 Mar 17 12:47 ..
-rwxr-xr-x 1 test   test   21984 Mar 17 12:44 sleep

cluster13.proc0.subproc0.tmp:
total 16
drwxr-xr-x 2 test   test   4096 Mar 17 12:47 .
drwxr-xr-x 5 condor condor 4096 Mar 17 12:47 ..

No such regresion found in candidate.

>>>> VERIFIED
Comment 5 Martin Prpič 2010-10-07 11:26:06 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Running the "condor_submit -spool" command on a job that has the "transfer_executable" variable set to 'false', the executable gets transferred to the spool directory. With this update, the executable is no longer transferred to the spool directory.
Comment 7 errata-xmlrpc 2010-10-14 11:57:31 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2010-0773.html

Note You need to log in before you can comment on or make changes to this bug.